/**
 * 
 */
package org.lapaloma.proyectos.util;

import software.amazon.awssdk.auth.credentials.ProfileCredentialsProvider;
import software.amazon.awssdk.regions.Region;
import software.amazon.awssdk.services.dynamodb.DynamoDbClient;
import software.amazon.awssdk.services.s3.S3Client;

/**
 * Clase asociada a la gestión de clientes para servicios de AWS
 * 
 * @author Programador: Isidoro Nevares Martín - Virgen de la Paloma
 * @date 16 may 2025
 * @version: 1.0
 */
public class GestorClientesServiciosAWS {
    public final static Region REGION_AWS = Region.US_EAST_1; 

	// Evita que pueda construirse un objeto de la clase.
	private GestorClientesServiciosAWS() {
	}

	public static S3Client getClienteBucketS3() {
		S3Client clienteS3 = S3Client.builder()
							.credentialsProvider(ProfileCredentialsProvider.create())
							.region(REGION_AWS).build();
		return clienteS3;

	}

	public static DynamoDbClient getClienteDynamoDB() {
		// Crear el cliente de DynamoDB (usando SDK v2)
		DynamoDbClient dynamoDbClient = DynamoDbClient.builder()
														.region(REGION_AWS)
														.build();
		return dynamoDbClient;
	}
}
